GetTransactionHistoryAsync

View as Markdown
The [GetTransactionHistory] asynchronous implementation. Use this function to download a large amounts of data. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details. Allowed roles: `Owner`, `Admin`, `Accountant`, `Payer`. **Example request:** Get the three transactions record from the 2012-01-01 00:00:00 UTC to the 2014-01-01 00:00:00 UTC with the 'gift' or 'money_distribution' types.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

The from date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringRequired

The to date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss

transaction_idlist of integersOptional

The transaction ID list separated by semicolons (;)

transaction_typelist of stringsOptional
The transaction type list separated by semicolons (;). The following values are possible: gift_revoke, resource_charge, money_distribution, subscription_charge, subscription_installation_charge, card_periodic_payment, card_overrun_payment, card_payment, rub_card_periodic_payment, rub_card_overrun_payment, rub_card_payment, robokassa_payment, gift, promo, adjustment, wire_transfer, us_wire_transfer, refund, discount, mgp_charge, mgp_startup, mgp_business, mgp_big_business, mgp_enterprise, mgp_large_enterprise, techsupport_charge, tax_charge, monthly_fee_charge, grace_credit_payment, grace_credit_provision, mau_charge, mau_overrun, im_charge, im_overrun, fmc_charge, sip_registration_charge, development_fee, money_transfer_to_child, money_transfer_to_parent, money_acceptance_from_child, money_acceptance_from_parent, phone_number_installation, phone_number_charge, toll_free_phone_number_installation, toll_free_phone_number_charge, services, user_money_transfer, paypal_payment, paypal_overrun_payment, paypal_periodic_payment
user_idlist of integersOptional

The user ID list separated by semicolons (;)

child_account_idlist of integersOptional

The child account ID list separated by semicolons (;). Use the ‘all’ value to select all child accounts

children_transactions_onlybooleanOptionalDefaults to false
Whether to get the children account transactions only
users_transactions_onlybooleanOptionalDefaults to false
Whether to get the users' transactions only
desc_orderbooleanOptional
Whether to get records in the descent order
is_uncommittedbooleanOptionalDefaults to false

Whether to get transactions on hold (transactions for which money is reserved but not yet withdrawn from the account)

with_headerbooleanOptionalDefaults to true

Whether to get a CSV file with the column names if the output=csv

outputstringOptionalDefaults to csv

The output format. The following values available: csv. The default value is csv

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
history_report_idinteger
The history report ID